SSD1306Ascii.h File Reference

Base class for ssd1306 displays. More...

`#include "Arduino.h"`
`#include "SSD1306init.h"`
`#include "fonts/allFonts.h"`
Include dependency graph for SSD1306Ascii.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | SSD1306Ascii
| SSD1306 base class. More...

## Macros

#define | INCLUDE_SCROLLING 1
#define | OPTIMIZE_AVR_SPI 1
#define | OPTIMIZE_I2C 1
#define | SDD1306_ASCII_VERSION 1.1.0
#define | SSD1306_MODE_CMD 0
#define | SSD1306_MODE_RAM 1
#define | SSD1306_MODE_RAM_BUF 2

## Functions

void | oledReset (uint8_t rst)
| Reset the display controller. More...

## Detailed Description

Base class for ssd1306 displays.

## Macro Definition Documentation

## INCLUDE_SCROLLING

#define INCLUDE_SCROLLING 1

Set Scrolling mode for new line.

If INCLUDE_SCROLLING is defined to be zero, new line will not scroll the display and code for scrolling will not be included. This option will save some code space and one byte of RAM.

If INCLUDE_SCROLLING is defined to be one, the scroll feature will be included but not enabled. A call to setScroll() will be required to enable scrolling.

If INCLUDE_SCROLLING is defined to be two, the scroll feature will be included and enabled. A call to setScroll() will be required to disable scrolling.

## OPTIMIZE_AVR_SPI

#define OPTIMIZE_AVR_SPI 1

Define OPTIMIZE_AVR_SPI non-zero for a faster smaller AVR SPI code. Warning AVR will not use SPI transactions.

## OPTIMIZE_I2C

#define OPTIMIZE_I2C 1

Use larger faster I2C code.

## SDD1306_ASCII_VERSION

#define SDD1306_ASCII_VERSION 1.1.0

SSD1306Ascii version

## SSD1306_MODE_CMD

#define SSD1306_MODE_CMD 0

Write to Command register.

## SSD1306_MODE_RAM

#define SSD1306_MODE_RAM 1

Write one byte to display RAM.

## SSD1306_MODE_RAM_BUF

#define SSD1306_MODE_RAM_BUF 2

Write to display RAM with possible buffering.

## Function Documentation

## oledReset()

void oledReset | ( | uint8_t | rst | ) |

inline

Reset the display controller.

Parameters

  [in] | rst | Reset pin number.